# test/graphics/Makefile.in	-*- Makefile -*-
# $Id: Makefile.in,v 1.1.1.1 2001/03/11 07:50:05 sashav Exp $
@MCOMMON@

srcdir = @srcdir@
VPATH = @srcdir@

basedir = ../..
thisdir = src/graphics

first_rule: qplot
dummy:

SRCS = grxlib.c qplot.c
OBJS = grxlib.o qplot.o
HDRS = grxlib.h

#
# Distribution variables
#

DIST = $(HDRS) $(SRCS) README data Makefile.in

# inference rules
.c.o:
	$(CC) -c $(CPPFLAGS) -I. -I$(basedir) -I$(srcdir) -I$(srcdir)/.. $(DEFS) $(CFLAGS) $<
#-------------------------------------------------------------------------
all:

graphics: qplot

qplot: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS) -lm

tags: $(SRCS)
	ctags $(SRCS)

alldoc:

allbin: qplot

clean:
	$(RMF) qplot core a.out *.o *.bak *~

realclean: clean
	$(RMF) tags

distclean:
	(cd $(srcdir); $(RMF) qplot *~ *.o core a.out)
	if test $(srcdir) = .; then $(MAKE) realclean; fi
	(cd $(srcdir); $(RMF) Makefile)

install uninstall:

distdirs:
	mkdir $(basedir)/../$(VERNAME)/$(thisdir)

distcopy:
	$(CP) -p $(DIST) $(basedir)/../$(VERNAME)/$(thisdir)

# -----------------------------------------------------------------------
# forget dependencies, there are too few
